# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._database_accounts_operations import DatabaseAccountsOperations
from ._operations import Operations
from ._database_operations import DatabaseOperations
from ._collection_operations import CollectionOperations
from ._collection_region_operations import CollectionRegionOperations
from ._database_account_region_operations import DatabaseAccountRegionOperations
from ._percentile_source_target_operations import PercentileSourceTargetOperations
from ._percentile_target_operations import PercentileTargetOperations
from ._percentile_operations import PercentileOperations
from ._collection_partition_region_operations import CollectionPartitionRegionOperations
from ._collection_partition_operations import CollectionPartitionOperations
from ._partition_key_range_id_operations import PartitionKeyRangeIdOperations
from ._partition_key_range_id_region_operations import PartitionKeyRangeIdRegionOperations
from ._sql_resources_operations import SqlResourcesOperations
from ._mongo_db_resources_operations import MongoDBResourcesOperations
from ._table_resources_operations import TableResourcesOperations
from ._cassandra_resources_operations import CassandraResourcesOperations
from ._gremlin_resources_operations import GremlinResourcesOperations
from ._locations_operations import LocationsOperations
from ._cassandra_clusters_operations import CassandraClustersOperations
from ._cassandra_data_centers_operations import CassandraDataCentersOperations
from ._notebook_workspaces_operations import NotebookWorkspacesOperations
from ._private_endpoint_connections_operations import PrivateEndpointConnectionsOperations
from ._private_link_resources_operations import PrivateLinkResourcesOperations
from ._restorable_database_accounts_operations import RestorableDatabaseAccountsOperations
from ._restorable_sql_databases_operations import RestorableSqlDatabasesOperations
from ._restorable_sql_containers_operations import RestorableSqlContainersOperations
from ._restorable_sql_resources_operations import RestorableSqlResourcesOperations
from ._restorable_mongodb_databases_operations import RestorableMongodbDatabasesOperations
from ._restorable_mongodb_collections_operations import RestorableMongodbCollectionsOperations
from ._restorable_mongodb_resources_operations import RestorableMongodbResourcesOperations
from ._restorable_gremlin_databases_operations import RestorableGremlinDatabasesOperations
from ._restorable_gremlin_graphs_operations import RestorableGremlinGraphsOperations
from ._restorable_gremlin_resources_operations import RestorableGremlinResourcesOperations
from ._restorable_tables_operations import RestorableTablesOperations
from ._restorable_table_resources_operations import RestorableTableResourcesOperations
from ._service_operations import ServiceOperations

from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "DatabaseAccountsOperations",
    "Operations",
    "DatabaseOperations",
    "CollectionOperations",
    "CollectionRegionOperations",
    "DatabaseAccountRegionOperations",
    "PercentileSourceTargetOperations",
    "PercentileTargetOperations",
    "PercentileOperations",
    "CollectionPartitionRegionOperations",
    "CollectionPartitionOperations",
    "PartitionKeyRangeIdOperations",
    "PartitionKeyRangeIdRegionOperations",
    "SqlResourcesOperations",
    "MongoDBResourcesOperations",
    "TableResourcesOperations",
    "CassandraResourcesOperations",
    "GremlinResourcesOperations",
    "LocationsOperations",
    "CassandraClustersOperations",
    "CassandraDataCentersOperations",
    "NotebookWorkspacesOperations",
    "PrivateEndpointConnectionsOperations",
    "PrivateLinkResourcesOperations",
    "RestorableDatabaseAccountsOperations",
    "RestorableSqlDatabasesOperations",
    "RestorableSqlContainersOperations",
    "RestorableSqlResourcesOperations",
    "RestorableMongodbDatabasesOperations",
    "RestorableMongodbCollectionsOperations",
    "RestorableMongodbResourcesOperations",
    "RestorableGremlinDatabasesOperations",
    "RestorableGremlinGraphsOperations",
    "RestorableGremlinResourcesOperations",
    "RestorableTablesOperations",
    "RestorableTableResourcesOperations",
    "ServiceOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
